Package Details: okular-git 21.07.70_r9334.g195bbe363-1

Git Clone URL: https://aur.archlinux.org/okular-git.git (read-only, click to copy)
Package Base: okular-git
Description: Document Viewer
Upstream URL: https://kde.org/applications/graphics/okular/
Keywords: kde kf5
Licenses: GPL, LGPL, FDL
Groups: kde-applications-git, kde-graphics-git
Conflicts: okular
Provides: okular
Submitter: Sevenseven
Maintainer: SolarAquarion (IslandC0der)
Last Packager: IslandC0der
Votes: 42
Popularity: 0.004233
First Submitted: 2011-07-11 05:22
Last Updated: 2021-05-30 18:01

Dependencies (27)

Required by (13)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

Kaan commented on 2015-01-29 00:09

it compiles now.

arojas commented on 2015-01-27 11:36

@thelongdivider not a packaging issue, please report upstream

thelongdivider commented on 2015-01-26 04:02

I get an error during compilation:

Linking CXX shared library libokularplugin.so
CMakeFiles/okularplugin.dir/pageitem.cpp.o: In function `PageItem::paint(QPainter*)':
pageitem.cpp:(.text+0x1797): undefined reference to `PagePainter::paintPageOnPainter(QPainter*, Okular::Page const*, Okular::DocumentObserver*, int, int, int, QRect const&)'
collect2: error: ld returned 1 exit status
active/components/CMakeFiles/okularplugin.dir/build.make:237: recipe for target 'active/components/libokularplugin.so' failed
make[2]: *** [active/components/libokularplugin.so] Error 1
CMakeFiles/Makefile2:226: recipe for target 'active/components/CMakeFiles/okularplugin.dir/all' failed
make[1]: *** [active/components/CMakeFiles/okularplugin.dir/all] Error 2
Makefile:127: recipe for target 'all' failed
make: *** [all] Error 2

arojas commented on 2015-01-16 07:13

Fixed, thanks

sl1pkn07 commented on 2015-01-16 01:08

please use this sed

sed -e 's|Qca|Qca-qt5|g' -e 's|okularcore qca|okularcore qca-qt5|g' -i okular/generators/ooo/CMakeLists.txt

because if not, the Qca library is detected by cmake but not used (linked libs) in compilation

greetings

tajidinabd commented on 2015-01-05 22:58

@ arojas does this PKGBIULD only way i was able to successfully build was using the changes that were suggested below to get it working fine and build

alium commented on 2014-12-31 13:46

PKGBUILD is weird, can not build...
for me works solution by sl1pkn07 (more simply)

sl1pkn07 commented on 2014-12-30 18:27

is weird. becasue to build with qca-qt5-git only need

sed 's|find_package(QCA2 "2.0.0")|find_package(Qca-qt5 "2.0.0")|g' -i okular/generators/ooo/CMakeLists.txt

or more simply

sed 's|QCA2 "2.0.0"|Qca-qt5 "2.0.0"|g' -i okular/generators/ooo/CMakeLists.txt

instead of

sed 's|find_package(QCA2 "2.0.0")|find_package(QCA2 "2.0.0" NAMES Qca-qt5 Qca)|g' -i okular/generators/ooo/CMakeLists.txt

Only with this and without touch the cmake option -DQca-qt5_DIR=/usr/lib/cmake/Qca works for me

sl1pkn07 commented on 2014-12-30 18:26

is weird. becasue to build with qca-qt5-git only need

sed 's|find_package(QCA2 "2.0.0")|find_package(Qca-qt5 "2.0.0")|g' -i okular/generators/ooo/CMakeLists.txt

or more simply

sed 's|QCA2 "2.0.0"|Qca-qt5 "2.0.0"|g' -i okular/generators/ooo/CMakeLists.txt

only with this and without touch the cmake option -DQca-qt5_DIR=/usr/lib/cmake/Qca works for me

sl1pkn07 commented on 2014-12-30 18:24

is wreid. becasue to build with qca-qt5-git only need

sed 's|find_package(QCA2 "2.0.0")|find_package(Qca-qt5 "2.0.0")|g' -i okular/generators/ooo/CMakeLists.txt

or more simply

sed 's|QCA2 "2.0.0"|Qca-qt5 "2.0.0"|g' -i okular/generators/ooo/CMakeLists.txt

only with this and not touch the cmake option -DQca-qt5_DIR=/usr/lib/cmake/Qca works for me